javax.websocket.server

## Interface ServerEndpointConfig

- All Superinterfaces:
    EndpointConfig

      public interface ServerEndpointConfig
      extends EndpointConfig

  The ServerEndpointConfig is a special kind of endpoint configuration object that contains web socket configuration information specific only to server endpoints. For developers deploying programmatic endpoints, ServerEndpointConfig objects can be created using a `ServerEndpointConfig.Builder`. Certain configuration operations can be customized by providing a `ServerEndpointConfig.Configurator`
  Author:
    dannycoward

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `ServerEndpointConfig.Builder` The ServerEndpointConfig.Builder is a class used for creating `ServerEndpointConfig.Builder` objects for the purposes of deploying a server endpoint.
    `static class` | `ServerEndpointConfig.Configurator` The ServerEndpointConfig.Configurator class may be extended by developers who want to provide custom configuration algorithms, such as intercepting the opening handshake, or providing arbitrary methods and algorithms that can be accessed from each endpoint instance configured with this configurator.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ServerEndpointConfig.Configurator` | `getConfigurator()` Return the `ServerEndpointConfig.Configurator` this configuration is using.
    `Class<?>` | `getEndpointClass()` Returns the Class of the endpoint this configuration is configuring.
    `List<Extension>` | `getExtensions()` Return the websocket extensions configured.
    `String` | `getPath()` Return the path for this endpoint configuration.
    `List<String>` | `getSubprotocols()` Return the websocket subprotocols configured.

    - ### Methods inherited from interface javax.websocket.EndpointConfig

      `getDecoders, getEncoders, getUserProperties`

- - ### Method Detail

    - #### getEndpointClass

          Class<?> getEndpointClass()

      Returns the Class of the endpoint this configuration is configuring. If the endpoint is an annotated endpoint, the value is the class of the Java class annotated with @ServerEndpoint. if the endpoint is a programmatic, the value is the class of the subclass of Endpoint.
      Returns:
        the class of the endpoint, annotated or programmatic.

    - #### getPath

          String getPath()

      Return the path for this endpoint configuration. The path is the URI or URI-template (level 1) relative to the websocket root of the server to which the endpoint using this configuration will be mapped. The path is always non-null and always begins with a leading "/".
      Returns:
        the relative path for this configuration.

    - #### getSubprotocols

          List<String> getSubprotocols()

      Return the websocket subprotocols configured.
      Returns:
        the list of subprotocols, the empty list if none

    - #### getExtensions

          List<Extension> getExtensions()

      Return the websocket extensions configured.
      Returns:
        the list of extensions, the empty list if none.

    - #### getConfigurator

          ServerEndpointConfig.Configurator getConfigurator()

      Return the `ServerEndpointConfig.Configurator` this configuration is using. If none was set by calling `ServerEndpointConfig.Builder.configurator(javax.websocket.server.ServerEndpointConfig.Configurator)` this methods returns the platform default configurator.
      Returns:
        the configurator in use.

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.